<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>ShoppingCartItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShoppingCartItem";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShoppingCartItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../helperClasses/ShoppingCartHelper.html" title="class in helperClasses"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/ShoppingCartItem.html" target="_top">Frames</a></li>
<li><a href="ShoppingCartItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../helperClasses/package-summary.html">helperClasses</a></div>
<h2 title="Class ShoppingCartItem" class="title">Class ShoppingCartItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>helperClasses.ShoppingCartItem</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ShoppingCartItem</span>
extends java.lang.Object</pre>
<div class="block">The Class ShoppingCartItem. This class represents one item from a shopping cart.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#ShoppingCartItem--">ShoppingCartItem</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getAmount--">getAmount</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the amount.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getArticleName--">getArticleName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the article name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getArticleNo--">getArticleNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the article number.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPictureLink--">getPictureLink</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the picture link.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPositionNo--">getPositionNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the position number.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#getPrice--">getPrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the price.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setAmount-java.lang.String-">setAmount</a></span>&#8203;(java.lang.String&nbsp;amount)</code></th>
<td class="colLast">
<div class="block">Sets the amount.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setArticleName-java.lang.String-">setArticleName</a></span>&#8203;(java.lang.String&nbsp;articleName)</code></th>
<td class="colLast">
<div class="block">Sets the article name.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setArticleNo-java.lang.String-">setArticleNo</a></span>&#8203;(java.lang.String&nbsp;articleNo)</code></th>
<td class="colLast">
<div class="block">Sets the article number.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setPictureLink-java.lang.String-">setPictureLink</a></span>&#8203;(java.lang.String&nbsp;pictureLink)</code></th>
<td class="colLast">
<div class="block">Sets the picture link.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setPositionNo-java.lang.String-">setPositionNo</a></span>&#8203;(java.lang.String&nbsp;positionNo)</code></th>
<td class="colLast">
<div class="block">Sets the position number.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartItem.html#setPrice-java.lang.String-">setPrice</a></span>&#8203;(java.lang.String&nbsp;price)</code></th>
<td class="colLast">
<div class="block">Sets the price.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ShoppingCartItem--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ShoppingCartItem</h4>
<pre>public&nbsp;ShoppingCartItem()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPictureLink--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPictureLink</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPictureLink()</pre>
<div class="block">Gets the picture link.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the picture link</dd>
</dl>
</li>
</ul>
<a name="setPictureLink-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPictureLink</h4>
<pre>public&nbsp;void&nbsp;setPictureLink&#8203;(java.lang.String&nbsp;pictureLink)</pre>
<div class="block">Sets the picture link.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pictureLink</code> - the new picture link</dd>
</dl>
</li>
</ul>
<a name="getPositionNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPositionNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPositionNo()</pre>
<div class="block">Gets the position number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the position number</dd>
</dl>
</li>
</ul>
<a name="setPositionNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPositionNo</h4>
<pre>public&nbsp;void&nbsp;setPositionNo&#8203;(java.lang.String&nbsp;positionNo)</pre>
<div class="block">Sets the position number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>positionNo</code> - the new position number</dd>
</dl>
</li>
</ul>
<a name="getArticleName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArticleName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArticleName()</pre>
<div class="block">Gets the article name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the article name</dd>
</dl>
</li>
</ul>
<a name="setArticleName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArticleName</h4>
<pre>public&nbsp;void&nbsp;setArticleName&#8203;(java.lang.String&nbsp;articleName)</pre>
<div class="block">Sets the article name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>articleName</code> - the new article name</dd>
</dl>
</li>
</ul>
<a name="getPrice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrice</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPrice()</pre>
<div class="block">Gets the price.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the price</dd>
</dl>
</li>
</ul>
<a name="setPrice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrice</h4>
<pre>public&nbsp;void&nbsp;setPrice&#8203;(java.lang.String&nbsp;price)</pre>
<div class="block">Sets the price.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>price</code> - the new price</dd>
</dl>
</li>
</ul>
<a name="getArticleNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArticleNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArticleNo()</pre>
<div class="block">Gets the article number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the article number</dd>
</dl>
</li>
</ul>
<a name="setArticleNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArticleNo</h4>
<pre>public&nbsp;void&nbsp;setArticleNo&#8203;(java.lang.String&nbsp;articleNo)</pre>
<div class="block">Sets the article number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>articleNo</code> - the new article number</dd>
</dl>
</li>
</ul>
<a name="getAmount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAmount</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAmount()</pre>
<div class="block">Gets the amount.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the amount</dd>
</dl>
</li>
</ul>
<a name="setAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAmount</h4>
<pre>public&nbsp;void&nbsp;setAmount&#8203;(java.lang.String&nbsp;amount)</pre>
<div class="block">Sets the amount.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>amount</code> - the new amount</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShoppingCartItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../helperClasses/ShoppingCartHelper.html" title="class in helperClasses"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/ShoppingCartItem.html" target="_top">Frames</a></li>
<li><a href="ShoppingCartItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
